Bug 61127 - USB doesn't work on pe500sc
USB doesn't work on pe500sc
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 17:46 EST by Clay Cooper
Modified: 2007-04-18 12:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-14 15:10:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clay Cooper 2002-03-13 17:46:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011019
Netscape6/6.2

Description of problem:
On a PE500SC running hampton beta2 (2.4.18-0.1), bios A04, 2GB ram, 2GB swap.

USB keyboard or mouse does not work.  

USB controller is enabled in the bios.  Tried more than one usb device.

/var/log/messages reports:

Mar 13 17:29:23 localhost kernel: hub.c: USB new device connect on bus1/1,
assigned device number 6
Mar 13 17:29:23 localhost kernel: usb.c: USB device not responding, giving up
(error=-33554424)
Mar 13 17:29:24 localhost kernel: hub.c: USB new device connect on bus1/1,
assigned device number 7
Mar 13 17:29:24 localhost kernel: usb.c: USB device not responding, giving up
(error=-33554424)
Mar 13 17:29:37 localhost kernel: hub.c: USB new device connect on bus1/2,
assigned device number 8
Mar 13 17:29:37 localhost kernel: usb.c: USB device not responding, giving up
(error=-32)
Mar 13 17:29:37 localhost kernel: hub.c: USB new device connect on bus1/2,
assigned device number 9
Mar 13 17:29:37 localhost kernel: usb.c: USB device not responding, giving up
(error=-32)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install hampton beta2 on a PE500SC
2.  Attempt to use USB device
3.
	

Actual Results:  Doesn't work, /var/log/messages reports errors

Expected Results:  Should work

Additional info:
Comment 1 Pete Zaitcev 2002-03-13 17:53:34 EST
Did you have a chance to try anything else, for instance
RH 7.2 with 2.4.9-31?
Comment 2 Clay Cooper 2002-03-14 12:20:54 EST
Straight 7.2 retail did not work.  Errata kernel 2.4.9-31 did not work either. 
I also tried appending "below usbkbd hid" to the end of modules.conf and
remaking the initrd.  This was a fix someone mentioned here on my end.  This did
not work either.  
2.4.9-31's /var/log/messages is reporting the same error messages that hampton
beta2 did.
Comment 3 Pete Zaitcev 2002-03-14 12:40:26 EST
[The cc: list on this bug seems annoyingly enormous,
I suggest UNinterested parties to e-mail me and I'll trim them out]

I think this bug has nothing to do with usbkbd, it is on
the lower level. Most likely it is a buggy BIOS, but may
be a broken hardware.

Now, this sounds vaguely disturbing
"USB controller is enabled in the bios.
Tried more than one usb device."

First, it is paramount to make sure that "port 0x60 emulation"
is not enabled. Hopefuly, the phrase "USB controller is enabled
in BIOS" only means what it says.

Second, "Tried more than on usb device" is a little vague.
Did you try different instances of the host?
Did you try any non-HID device (such as a ZIP drive or a printer)?
Comment 4 Clay Cooper 2002-03-14 12:55:35 EST
The cc list is the same as it is for every other bug I've ever entered into
bugzilla.

"USB controller is enabled in the bios" means USB controller is enabled in the bios.

"Tried more than one USB device" means that I tried two different keyboards and
a mouse.
Comment 5 Clay Cooper 2002-03-14 15:10:53 EST
Tested two other pe1500sc's and both of them worked.  This looks to be a
hardware issue.

Note You need to log in before you can comment on or make changes to this bug.